SoftMaker Office 2021 Revision 1014 PlanMaker heap-based overflow

entryeditHistoryDiffjsonxmlCTI

A vulnerability classified as critical has been found in SoftMaker Office 2021 Revision 1014. This affects an unknown functionality of the component PlanMaker. There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product.

Field02/04/2021 06:47 PM02/23/2021 02:36 PM
cvss3_meta_basescore6.36.3
cvss3_meta_tempscore6.36.3
price_0day$0-$5k$0-$5k
vendorSoftMakerSoftMaker
nameOfficeOffice
version2021 Revision 10142021 Revision 1014
componentPlanMakerPlanMaker
cwe122 (memory corruption)122 (memory corruption)
risk22
cvss3_vuldb_avNN
cvss3_vuldb_acLL
cvss3_vuldb_prNN
cvss3_vuldb_uiRR
cvss3_vuldb_sUU
cvss3_vuldb_cLL
cvss3_vuldb_iLL
cvss3_vuldb_aLL
identifierTALOS-2020-1210TALOS-2020-1210
urlhttps://talosintelligence.com/vulnerability_reports/TALOS-2020-1210https://talosintelligence.com/vulnerability_reports/TALOS-2020-1210
cveCVE-2020-27247CVE-2020-27247
date1612393200 (02/04/2021)1612393200 (02/04/2021)
cvss2_vuldb_avNN
cvss2_vuldb_acLL
cvss2_vuldb_auNN
cvss2_vuldb_ciPP
cvss2_vuldb_iiPP
cvss2_vuldb_aiPP
cvss2_vuldb_eNDND
cvss2_vuldb_rlNDND
cvss2_vuldb_rcNDND
cvss3_vuldb_eXX
cvss3_vuldb_rlXX
cvss3_vuldb_rcXX
cvss2_vuldb_basescore7.57.5
cvss2_vuldb_tempscore7.57.5
cvss3_vuldb_basescore6.36.3
cvss3_vuldb_tempscore6.36.3
cve_assigned1603058400
cve_nvd_summaryA specially crafted document can cause the document parser to copy data from a particular record type into a static-sized buffer within an object that is smaller than the size used for the copy, which will cause a heap-based buffer overflow. In version/Instance 0x0002, an attacker can entice the victim to open a document to trigger this vulnerability. This affects SoftMaker Software GmbH SoftMaker Office PlanMaker 2021 (Revision 1014).

Do you want to use VulDB in your project?

Use the official API to access entries easily!